
#ifndef ROOT_TRealData
#define ROOT_TRealData

//+SEQ,CopyRight,T=NOINCLUDE.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TRealData                                                            //
//                                                                      //
// Description of persistent data members.                              //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TObject
//*KEEP,TObject.
#include "TObject.h"
//*KEND.
#endif
#ifndef ROOT_TString
//*KEEP,TString.
#include "TString.h"
//*KEND.
#endif

class TDataMember;


class TRealData : public TObject {

private:
   TDataMember *fDataMember;         //pointer to data member descriptor
   Int_t       fThisOffset;          //offset with the THIS object pointer
   TString     fName;                //Concatenated names of this realdata

public:
   TRealData();
   TRealData(const char *name, Int_t offset, TDataMember *datamember);
   virtual     ~TRealData();
   virtual const Text_t *GetName() const {return fName.Data();}
   TDataMember *GetDataMember() {return fDataMember;}
   Int_t       GetThisOffset() {return fThisOffset;}
   void        WriteRealData(void *pointer, char *&buffer);

   ClassDef(TRealData,0)  //Description of persistent data members
};

#endif

